require_relative "db_mon/version"
require_relative 'db_mon/runner'

module DbMon
end


options = {}

optparse = OptionParser.new do |opts|
  opts.banner = "Usage: dbmon -C <path to config file>"
  opts.on('-C', '--config FILE', 'Absolute path to configuration file') do |file|
    options[:config_file] = file
  end
end
optparse.parse!

raise "No config file provided" unless options[:config_file]
config  = YAML::load(File.read(File.expand_path(options[:config_file])))
monitor = DbMon::Runner.new(config).monitor
monitor.monitor_table
