require_relative 'monitor'

module DbMon

  class Runner
    attr_reader :monitor


    def initialize(options = {})
      @monitor = nil
      case options['adapter']
      when 'mysql2'
        require_relative 'mysql_monitor'
        @monitor = MysqlMonitor.new(options)
      when 'pg'
        require_relative 'pg_monitor'
        @monitor = PgMonitor.new(options)
      when 'sqlite'
        raise "SQLite Monitor not implemented"
        @monitor = SqliteMonitor.new(options)
      else
        raise 'Unsupported Adapter'
      end

    end
  
  end

end
